Pinnacle Cart Index.PHP跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1108653 漏洞类型 跨站脚本
发布时间 2005-04-12 更新时间 2007-02-22
CVE编号 CVE-2005-1130 CNNVD-ID CNNVD-200504-020
漏洞平台 PHP CVSS评分 4.3
|漏洞来源
https://www.exploit-db.com/exploits/25394
https://www.securityfocus.com/bid/13138
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200504-020
|漏洞详情
PinnacleCart是功能强大的PHP购物车软件和建站工具。符合市场潮流,此款电子商务软件功能强大、易用,兼备灵活性。PinnacleCart的index.php文件中存在跨站脚本(XSS)漏洞。远程攻击者可以借助于pg参数注入任意的web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/13138/info

Pinnacle Cart is affected by a cross-site scripting vulnerability because the application fails to properly sanitize user-supplied input.

An attacker may leverage this issue to execute arbitrary script code in the browser of an unsuspecting user. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

http://www.example.com/index.php?p=catalog&parent=12&pg="><script>alert(document.domain);</script>
|受影响的产品
Pinnacle Cart Pinnacle Cart
|参考资料

来源:XF
名称:pinnaclecart-index-xss(20092)
链接:http://xforce.iss.net/xforce/xfdb/20092
来源:BID
名称:13138
链接:http://www.securityfocus.com/bid/13138
来源:OSVDB
名称:15485
链接:http://www.osvdb.org/15485
来源:MISC
链接:http://systemsecure.org/board/index.php?showtopic=8
来源:SECUNIA
名称:14924
链接:http://secunia.com/advisories/14924